Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch
Interface CompositeCoordinator

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CompositeTransactionAdaptor, CoordinatorImp

    public interface CompositeCoordinator

extends Serializable

Represents the per-server work done as part of the same global (root) transaction scope.

Method Summary
`String` | `getCoordinatorId()`
`RecoveryCoordinator` | `getRecoveryCoordinator()`
`HeuristicMessage[]` | `getTags()`
`Boolean` | `isRecoverableWhileActive()` Checks whether the instance is recoverable in the active state.
`void` | `setRecoverableWhileActive()` Sets this coordinator to be recoverable while active.

Method Detail

### getCoordinatorId

    String getCoordinatorId()

  Returns:
    String The coordinatorId. For imported transactions, this will be the id of the top-level or root transaction. For subtransactions, this will be an independent id.

### getRecoveryCoordinator

    RecoveryCoordinator getRecoveryCoordinator()

  Returns:
    RecoveryCoordinator.

### getTags

    HeuristicMessage[] getTags()

  Returns:
    HeuristicMessage[] Any tags set by the application. These serve as a summary of the local work towards remote client TMs (that way, these do not have to see ALL local heuristic messages, but rather get a relevant summary). The participant proxy for a local coordinator returns these tags as its heuristic messages.

### isRecoverableWhileActive

    Boolean isRecoverableWhileActive()

  Checks whether the instance is recoverable in the active state. Although active recoverability requires more logging overhead, some protocols may need this capability.

  Returns:
    Boolean True if the instance is recoverable in active state, or null if this information is not available (e.g., for imported instances).

### setRecoverableWhileActive

    void setRecoverableWhileActive()
                                   throws UnsupportedOperationException

  Sets this coordinator to be recoverable while active. Ideally, this method is called before any participants are added (otherwise, some participants may have been added and not recovered due to an intermediate crash). This operation may not be unavailable for imported coordinators, but it should always work for locally created (sub)transactions. Calling this method is optional, and it defaults to false.
  NOTE: active recoverability is inherited by any subtransactions that are created afterwards.

  Throws:
    `UnsupportedOperationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.